package lufti.fractrees;

import java.awt.geom.Rectangle2D;

/**
 *
 * @author reidl
 */
public class BoundaryTurtle extends Turtle {

	private double left, right, top, bottom;
	
	public BoundaryTurtle(double angle, double delta, double len) {
		super(angle,delta,len);
		
		left = right = 0;
		top = bottom = 0;
	}
	
	public Rectangle2D.Double getBoundary() {
		return new Rectangle2D.Double(left, top, right-left, bottom-top);
	}

	@Override
	public void step() {
		super.step();
		left = Math.min(left, currentState.x);
		right = Math.max(right, currentState.x);
		top = Math.min(top, currentState.y);
		bottom = Math.max(bottom, currentState.y);		
	}

	@Override
	public void stepAndDraw() throws TurtleException {
		step();
	}
}
