package lufti.fractrees;

import java.awt.Graphics2D;

/**
 *
 * @author reidl
 */
public class DrawingTurtle extends Turtle {

	private Graphics2D target;

	public DrawingTurtle(double angle, double delta, double len) {
		super(angle, delta, len);
	}
	
	public void setGraphics(Graphics2D gr) {
		target = gr;
	}
	
	@Override
	public void stepAndDraw() throws TurtleException {
		if(target == null) {
			throw new TurtleException(this);
		}
		
		TurtleState oldState = currentState.copy();
		step();
		target.drawLine((int)(.5+oldState.x),(int)(.5+oldState.y),(int)(.5+currentState.x),(int)(.5+currentState.y));
	}
}
